import { Button, Col } from "react-bootstrap";
import { useTranslation } from "react-i18next";

function ManagedBoatTile(props: {
    boatName?: string;
    time?: string;
    persons?: string;
    blocked?: boolean;
    lastUsed?: string;
    onInfoClick?: () => any;
    onBlockClick?: () => any;
}) {
    const { t } = useTranslation();

    return (
        <Col>
            <div className={`card-body shadow position-relative mb-1 rounded-2 ${props.blocked ? 'bg-info' : 'bg-success'}`} style={{ height: "90px" }}>
                <div title={props.boatName} className="text-uppercase fs-4 tile-label-boatName position-absolute ms-2 mt-1 top-0 start-0 text-center text-white fw-bold"
                    style={{ width: "95%", overflow: "hidden", textOverflow: "ellipsis", whiteSpace: "nowrap" }}>{props.boatName}</div>
                <div className="tile-label-time position-absolute me-2 mt-2 top-0 end-0 text-white">{props.lastUsed}</div>
                <div className="d-flex justify-content-between" style={{ marginTop: "24px", width: "104%", marginLeft: "-2%" }}>
                    <Button onClick={props.onInfoClick ? props.onInfoClick : () => { }} variant="secondary" style={{ flex: 0.48 }} className="mb-2 ms-2 bottom-0 start-0 shadow-sm text-uppercase rounded-pill">{t("managedBoatTile.buttonInfo")}</Button>
                    <Button onClick={props.onBlockClick ? props.onBlockClick : () => { }} variant={`${props.blocked ? 'success' : 'danger'}`} style={{ flex: 0.48 }} className={`mb-2 me-2 bottom-0 end-0 shadow-sm text-uppercase rounded-pill`}>{props.blocked ? t("managedBoatTile.buttonUnblock") : t("managedBoatTile.buttonBlock")}</Button>
                </div>
            </div>
        </Col>

    );
}

export default ManagedBoatTile;
